%
% A script to find parameters from the individual roots
%
% 1. load all result mat-files and merge detected roots (with unique root numbers)
%    (data should be in the same path)
% 2. find parameters for the root architecture model RootBox
%    (available at http://www.csc.univie.ac.at/rootbox/)
%
% Copyright 2013 Daniel Leitner & Andrea Schnepf. See license.txt for details.
%

clear all;

% Maize from Kutschera
% n{1} = '\imbw_.mat'; 
% scale = 29.7; % cm width

% Lupine
n{1} = '\- W hom P hom 10_bearb.mat';
n{2} = '\- W hom P hom 11_bearb.mat';
n{3} = '\- W hom P no  4_bearb.mat';
n{4} = '\- W hom P no 1_bearb.mat';
scale = 27; % cm, container width 

%
% merge root measurements
%
tips_ = [];
for i = 1:length(n)
    
    s{i} = load([pwd, n{i}]);        
    pxcm(i) = size(s{i}.D{1},2)/scale;    
    disp(['file ' num2str(i)]);
    t = mergeTips(s{i}.tips,s{i}.times, pxcm(i));    
    for j = 1 : length(t)
        t(j).number = t(j).number + 1e4*(i-1); % add big number to make unique
        t(j).predecessor = t(j).predecessor + 1e4*(i-1);     
        t(j).dataset=i;
    end    
    tips_ = [tips_, t];
    
end    
times = s{1}.times; 

% %
% % find parameters
% 
% % param = analyse_RS_order(tips_,times,s,pxcm); % by root order 
param = analyse_RS(tips_,times,s,pxcm); % by root types long and short


for i = 1 : 3
    disp(param{i});     
end
